# To jest plik konfiguracyjny dla DOSBOXa 0.73.
# Linie zaczynające się od # są komentarzami.
# Są one używane do (pobieżnego) udokumentowania efektu każdej opcji.

[sdl]
#       fullscreen: Włącza dosboxa w trybie pełnoekranowym..
#       fulldouble: Używa podwójnego buforowania w trybie pełnoekranowym..
#   fullresolution: Jakiej rozdzielczości używać w trybie pełnoekranowym: oryginalnej czy narzuconej (np. 1024x768).
# windowresolution: Przeskalowuje okno do tego rozmiaru O ILE urządzenie wyjścia obsługuje sprzętowe skalowanie.
#           output: Jakiego systemu obrazu używać dla wyjścia.
#                   Possible values: surface, overlay, opengl, openglnb, ddraw.
#         autolock: Mysz zostanie automatycznie zablokowana, kiedy klikniesz na ekranie.
#      sensitivity: Czułość myszy.
#      waitonerror: Zatrzymuje przed zamknięciem konsoli, jeśli dosbox zgłosił błąd.
#         priority: Priorytety dla dosboxa. Druga wartość po przecinku dotyczy okna dosboxa, które jest nieaktywne/zminimalizowane. ('pause' można używać tylko jako drugiej wartości)
#                   Możliwe wartości: lowest, lower, normal, higher, highest, pause.
#       mapperfile: Plik używany do wczytywania/zapisywania skrótów klawiszowych.
#     usescancodes: Unika symulowania klawiszy, może nie działać na wszystkich systemach operacyjnych.

fullscreen=false
fulldouble=false
fullresolution=original
windowresolution=original
output=surface
autolock=true
sensitivity=100
waitonerror=true
priority=higher,normal
mapperfile=mapper.txt
usescancodes=true

[dosbox]
# language: Wybiera inny plik językowy
#  machine: Typ maszyny, który dosbox próbuje naśladować.
#           Możliwe wartości: hercules, cga, tandy, pcjr, ega, vgaonly, svga_s3, svga_et3000, svga_et4000, svga_paradise, vesa_nolfb, vesa_oldvbe.
# captures: Katalog, w którym są przechowywane przechwycone pliki wave i midi oraz zrzuty ekranu.
#  memsize: Rozmiar pamięci DOSBoxa w megabajtach.
#             Tej wartości lepiej nie zmieniać aby uniknąć problemów z niektórymi grami,
#             choć niektóre gry mogą wymagać większej wartości.
#             Generalnie podniesienie tej wartości nie powoduje przyśpieszenia.

language=polish.lng
machine=svga_s3
captures=capture
memsize=16

[render]
# frameskip: Jak wiele ramek DOSBox przeskakuje zanim jakąś narysuje.
#    aspect: Dokonuj korekcji aspektu. Jeśli wybrana metoda wyświetlania nie wspiera skalowania, ustawienie tej opcji może spowodować spowolnienie!.
#    scaler: Metoda skalowania używana do powiększania/polepszania obrazu w niskiej rozdzielczości. Dopisanie 'forced' powoduje używanie metody nawet gdy wynik może nie być pożądany.
#            Możliwe wartości: none, normal2x, normal3x, advmame2x, advmame3x, advinterp2x, advinterp3x, hq2x, hq3x, 2xsai, super2xsai, supereagle, tv2x, tv3x, rgb2x, rgb3x, scan2x, scan3x.

frameskip=0
aspect=false
scaler=normal2x

[cpu]
#      core: Jądro procesora używane do emulacji. auto przełącza w tryb dynamic jeśli jest dostępny i właściwy.
#            Możliwe wartości: auto, dynamic, normal, simple.
#   cputype: CPU Typ procesora używanego w emulacji. auto to wybór najszybszego.
#            Możliwe wartości: auto, 386, 386_slow, 486_slow, pentium_slow, 386_prefetch.
#    cycles: Liczba instrukcji które DOSBox próbuje emulować w każdej milisekundzie. Ustawienie tej wartości na zbyt dużą powoduje przerwy w dźwięku i zacinanie się obrazu. Cykle można ustawić na 3 sposoby:
#              'auto'          próbuje odgadnąć czego potrzebuje gra.
#                              Przeważnie działa, ale może nie sprawdzać się dla pewnych gier.
#              'fixed #numer'  ustawi narzuconą liczbę cykli. Tego przeważnie potrzebujesz jeśli 'auto' zawiedzie.
#                              (Przykład: fixed 4000)
#              'max'           zaalokuje tyle cykli ile tylko komputer jest w stanie obsłużyć.
#            
#            Możliwe wartości: auto, fixed, max.
#   cycleup: Liczba cykli o którą wartość zwiększa/zmniejsza kombinacja klawiszy.
# cycledown: Ustawienie tej wartości na mniejszą niż 100 powoduje odpowiednią zmianę procentową.

core=auto
cputype=auto
cycles=auto
cycleup=500
cycledown=20

[mixer]
#   nosound: Włącz tryb cichy, choć dźwięk nadal jest emulowany.
#      rate: Częstotliwość próbkowania miksera, ustawienie częstotliwości urządzenia ponad tą wartość prawdopodobnie obniży jakość dźwięku..
#            Możliwe wartości: 22050, 44100, 48000, 32000, 16000, 11025, 8000, 49716.
# blocksize: Wielkość bloku miksera, większe bloki mogą pomóc na "zająkiwania się" dźwięku, ale będzie też więcej zacięć.
#            Możliwe wartości: 2048, 4096, 8192, 1024, 512, 256.
# prebuffer: Jak wiele milisekund danych przechowywać.

nosound=false
rate=22050
blocksize=2048
prebuffer=10

[midi]
#     mpu401: Typ emulowanego MPU-401.
#             Możliwe wartości: intelligent, uart, none.
# mididevice: Urządzenie, które będzie otrzymywać dane MIDI z MPU-401.
#             Możliwe wartości: default, win32, alsa, oss, coreaudio, coremidi, none.
# midiconfig: Specjalne opcje konfiguracji dla sterownika urządzenia. Przeważnie jest to identyfikator urządzenia, którego chcesz użyć. Szczegóły znajdują się w pliku README..

mpu401=intelligent
mididevice=default
midiconfig=

[sblaster]
#  sbtype: Typ emulowanego sblastera.
#          Możliwe wartości: sb1, sb2, sbpro1, sbpro2, sb16, none.
#  sbbase: Adres IO soundblastera.
#          Możliwe wartości: 220, 240, 260, 280, 2a0, 2c0, 2e0, 300.
#     irq: Numer IRQ soundblastera.
#          Możliwe wartości: 7, 5, 3, 9, 10, 11, 12.
#     dma: Numer DMA soundblastera.
#          Możliwe wartości: 1, 5, 0, 3, 6, 7.
#    hdma: Numer High DMA soundblastera.
#          Możliwe wartości: 1, 5, 0, 3, 6, 7.
# sbmixer: Pozwala mixerowi soundblastera na modyfikowanie mixera DOSboxa.
# oplmode: Typ emulacji OPL. 'auto' powoduje wybranie trybu na podstawie typu soundblastera. Wszystkie tryby OPL, oprócz trybu 'cms', są kompatybilne z Adlib.
#          Możliwe wartości: auto, cms, opl2, dualopl2, opl3, none.
#  oplemu: Dostawca emulacji OPL. compat lub old mogą dawać lepszą jakość (zobacz też oplrate).
#          Możliwe wartości: default, compat, fast, old.
# oplrate: Częstotliwość próbkowania emulacji muzyki OPL. Użyj 49716 dla najlepszej jakości (ustaw odpowiednią częstotliwość miksera).
#          Możliwe wartości: 22050, 49716, 44100, 48000, 32000, 16000, 11025, 8000.

sbtype=sb16
sbbase=220
irq=7
dma=1
hdma=5
sbmixer=true
oplmode=auto
oplemu=default
oplrate=22050

[gus]
#      gus: Włącz emulację karty Gravis Ultrasound.
#  gusrate: Częstotliwość próbkowania emulacji Ultrasounda.
#           Możliwe wartości: 22050, 44100, 48000, 32000, 16000, 11025, 8000, 49716.
#  gusbase: Bazowy adres IO karty Gravis Ultrasound.
#           Możliwe wartości: 240, 220, 260, 280, 2a0, 2c0, 2e0, 300.
#   gusirq: Numer IRQ karty Gravis Ultrasound.
#           Możliwe wartości: 5, 3, 7, 9, 10, 11, 12.
#   gusdma: Kanał DMA karty Gravis Ultrasound.
#           Możliwe wartości: 3, 0, 1, 5, 6, 7.
# ultradir: Ścieżka do katalogu Ultrasounda. W tym katalogu
#          powinien znajdować się katalog MIDI, zawierający
#          patche dla odtwarzania GUS. Zestawy patchy używane
#          z Timidity powinny działać dobrze..
gus=false
gusrate=22050
gusbase=240
gusirq=5
gusdma=3
ultradir=C:\ULTRASND

[speaker]
# pcspeaker: Włącz emulację PC-Spekera.
#    pcrate: Częstotliwość próbkowania dźwięku generowanego przez PC-Speakera.
#            Możliwe wartości: 22050, 44100, 48000, 32000, 16000, 11025, 8000, 49716.
#     tandy: Włącz emulację Tandy Sound System. Przy 'auto' emulacja odbywa się tylko jeśli maszyna jest ustawiona na 'tandy'.
#            Możliwe wartości: auto, on, off.
# tandyrate: Częstotliwość próbkowania Tandy 3-Voice generation.
#            Możliwe wartości: 22050, 44100, 48000, 32000, 16000, 11025, 8000, 49716.
#    disney: Włącza emulację Disney Sound Source. (kompatybilne z Covox Voice Master and Speech Thing).

pcspeaker=true
pcrate=22050
tandy=auto
tandyrate=22050
disney=true

[joystick]
# joysticktype: Typ emulowanego joystika; auto (domyślny), brak,
#               2axis (wspiera dwa joysticki),
#               4axis (wspiera jeden joystick, używany jest pierwszy),
#               4axis_2 (wspiera jeden joystick, używany jest drugi),
#               fcs (Thrustmaster), ch (CH Flightstick).
#               none wyłącza emulację joysticków.
#               auto wybiera typ emulacji zależnie od prawdziwych joysticków..
#               Możliwe wartości: auto, 2axis, 4axis, 4axis_2, fcs, ch, none.
#        timed: Włącz ograniczone interwały dla osi (false powoduje stare zachowanie).
#     autofire: strzela ciągle tak długo jak długo wciśnięty jest klawisz.
#       swap34: Zamienia 3 i 4 oś. Może być przydatne dla pewnych joysticków.
#   buttonwrap: Włącza zawijanie numerów przycisków ze względu na liczbę emulowanych przycisków.

joysticktype=auto
timed=true
autofire=false
swap34=false
buttonwrap=true

[serial]
# serial1: Ustawia typ urządzenia podłączonego do portu com.
#          Możliwe wartości to: disabled, dummy, modem, nullmodem, directserial.
#          Dodatkowe parametry muszą znaleźć się w tej samej linii w formacie parametr:wartość. Parametrem dla wszystkich wartości jest irq.
#          dla directserial: realport (wymagany), rxdelay (opcjonalny).
#                           (realport:COM1 realport:ttyS0).
#          dla modem: listenport (opcjonalny).
#          dla nullmodem: server, rxdelay, txdelay, telnet, usedtr,
#                         transparent, port, inhsocket (wszystkie opcjonalne).
#          Przykład: serial1=modem listenport:5000.
#          Możliwe wartości: dummy, disabled, modem, nullmodem, directserial.
# serial2: Zobacz serial1.
#          Możliwe wartości: dummy, disabled, modem, nullmodem, directserial.
# serial3: Zobacz serial1.
#          Możliwe wartości: dummy, disabled, modem, nullmodem, directserial.
# serial4: Zobacz serial1.
#          Możliwe wartości: dummy, disabled, modem, nullmodem, directserial.

serial1=dummy
serial2=dummy
serial3=disabled
serial4=disabled

[dos]
#            xms: Włącz obsługę XMS.
#            ems: Włącz obsługę EMS.
#            umb: Włącz obsługę UMB.
# keyboardlayout: Kod języka layoutu klawiatury (lub none).

xms=true
ems=true
umb=true
keyboardlayout=auto

[ipx]
# ipx: Włącz ipx dla emulacji UDP/IP.

ipx=false

[autoexec]
# Linie w tej sekcji zostaną uruchomione przy starcie.


